Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.hl7.framework.persist.connection
Class AbstractDBConnection

    java.lang.Object
      com.stc.connector.hl7.framework.persist.connection.AbstractDBConnection

Direct Known Subclasses:
  DBConnection, TestDBConnImpl

    public class AbstractDBConnection

extends java.lang.Object

DOCUMENT ME!

Author:
  Sun Microsystems

Field Summary
`protected static java.lang.String` | `BATCH_DML_ERROR` Batch Database Manipulation Language error
`protected static java.lang.String` | `DML_ERROR` Database Manipulation Language error
`protected java.sql.Connection` | `mConn` The JDBC connection

Constructor Summary
`AbstractDBConnection(java.sql.Connection conn)` constructor

Method Summary
`protected void` | `batchDelete(java.util.List objs)`
`protected void` | `batchInsert(java.util.List objs)`
`protected void` | `batchUpdate(java.util.List objs)`
`void` | `delete(DBObject obj)`
`void` | `delete(java.util.List objs)`
`int` | `executeUpdateOrDelete(java.lang.String sql)` executes query
`java.sql.ResultSet` | `get(java.lang.String query, java.util.List vals)` executes query
`java.sql.ResultSet` | `getRow(DBObject dbo)` executes query
`java.sql.Connection` | `getUnderlyingConnection()` A handle to the undelying JDBC connection
`void` | `insert(DBObject obj)`
`void` | `insert(java.util.List objs)`
`int` | `update(DBObject obj)`
`void` | `update(java.util.List objs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mConn

    protected java.sql.Connection mConn

  The JDBC connection

### BATCH_DML_ERROR

    protected static java.lang.String BATCH_DML_ERROR

  Batch Database Manipulation Language error

### DML_ERROR

    protected static java.lang.String DML_ERROR

  Database Manipulation Language error

Constructor Detail

### AbstractDBConnection

    public AbstractDBConnection(java.sql.Connection conn)
                         throws java.sql.SQLException

  constructor

  Parameters:
    `conn` - jdbc connection
  Throws:
    `java.sql.SQLException` - SQLException

Method Detail

### getUnderlyingConnection

    public java.sql.Connection getUnderlyingConnection()

  A handle to the undelying JDBC connection

  Returns:

### insert

    public void insert(DBObject obj)
                throws java.sql.SQLException

  Parameters:
    `obj` - DBObject
  Throws:
    `java.sql.SQLException` - SQLException

### insert

    public void insert(java.util.List objs)
                throws java.sql.SQLException

  Parameters:
    `objs` - List. all the DBObjects are expected to be of the same DBObject instance type. For instance a valid list will have an invalid list may be like . Invalid lists throw SQLException.
  Throws:
    `java.sql.SQLException` - SQLException

### update

    public int update(DBObject obj)
               throws java.sql.SQLException

  Parameters:
    `obj` - DBObject
  Throws:
    `java.sql.SQLException` - SQLException

### update

    public void update(java.util.List objs)
                throws java.sql.SQLException

  Parameters:
    `objs` - List. all the DBObjects are expected to be of the same DBObject instance type. For instance a valid list will have an invalid list may be like . Invalid lists throw SQLException.
  Throws:
    `java.sql.SQLException` - SQLException

### delete

    public void delete(DBObject obj)
                throws java.sql.SQLException

  Parameters:
    `obj` - DBObject
  Throws:
    `java.sql.SQLException` - SQLException

### delete

    public void delete(java.util.List objs)
                throws java.sql.SQLException

  Parameters:
    `objs` - List all the DBObjects are expected to be of the same DBObject instance type. For instance a valid list will have an invalid list may be like . Invalid lists throw SQLException.
  Throws:
    `java.sql.SQLException` - SQLException

### getRow

    public java.sql.ResultSet getRow(DBObject dbo)
                              throws java.sql.SQLException

  executes query

  Parameters:
    `obj` - DBObject
  Returns:
    ResultSet ResultSet
  Throws:
    `java.sql.SQLException` - SQLException

### get

    public java.sql.ResultSet get(java.lang.String query,
                                  java.util.List vals)
                           throws java.sql.SQLException

  executes query

  Parameters:
    `query` - query preparedstatement string
    `vals` - values to be bound to query string
  Returns:
    ResultSet result set
  Throws:
    `java.sql.SQLException` - SQLException

### executeUpdateOrDelete

    public int executeUpdateOrDelete(java.lang.String sql)
                              throws java.sql.SQLException

  executes query

  Parameters:
    `sql` - query preparedstatement string
  Returns:
    int stmt.executeUpdate()
  Throws:
    `java.sql.SQLException` - SQLException

### batchInsert

    protected void batchInsert(java.util.List objs)
                        throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### batchUpdate

    protected void batchUpdate(java.util.List objs)
                        throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### batchDelete

    protected void batchDelete(java.util.List objs)
                        throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD